# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.22.9-91.fc7}

%define kmod_name acer_acpi
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
# xen uses a different version; ignore
#define xenvar xen
# don't build for debug kernels
#define debugvar debug PAE-debug
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar} %{?debugvar} %{?paedebugvar}}

Name:           %{kmod_name}-kmod
Version:        0.8.2
Release:        1.%(echo %{kverrel} | tr - _)
Summary:       	Linux kernel module to allow control of Acer Laptops

Group:          System Environment/Kernel
License:        GPLv2
URL:            http://code.google.com/p/aceracpi/
Source0:        http://aceracpi.googlecode.com/files/acer_acpi-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	acer_acpi-kmod-common >= %{version}

%description
Acer_acpi creates entries under /proc/acpi/acer, which enable you to control 
the wireless LAN card, inbuilt Bluetooth adapter, and mail LED of your laptop.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c
for kvariant in %{kvariants} ; do
	cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
	KERNELSRC="${ksrc}" \
	KERNELVERSION=%{kverrel}${kvariant}  
cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%changelog
* Wed Sep 12 2007 kwizart < kwizart at gmail.com > -0.8.2-1
- Update to 0.8.2

* Sat Aug 18 2007 kwizart < kwizart at gmail.com > - 0.7-1
- Update to 0.7

* Sun Jul 15 2007 kwizart < kwizart at gmail.com > - 0.6.1-1
- Update to 0.6.1

* Mon Jun  4 2007 kwizart < kwizart at gmail.com > - 0.5-1
- Update to 0.5

* Wed May  2 2007 kwizart < kwizart at gmail.com > - 0.4-1
- Update to 0.4

* Sun Jan 28 2007 kwizart < kwizart at gmail.com > - 0.3-2
- Fix kernel release version

* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.3.1-1.fc6
- Initial Release.
